import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class TriangleCheckerTest {

    @Test
    public void testNegativeSide() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(-1, 2, 3));
    }

    @Test
    public void testTwoNegativeSides() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(-1, -2, 3));
    }

    @Test
    public void testAllNegativeSides() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(-1, -2, -3));
    }

    @Test
    public void testOneZeroSide() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(0, 3, 4));
    }

    @Test
    public void testTwoZeroSides() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(0, 0, 5));
    }

    @Test
    public void testOneOversizedSide() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(10, 2, 3));
    }

    @Test
    public void testEquilateralTriangle() {
        assertEquals(TriangleChecker.TriangleType.EQUILATERAL, TriangleChecker.checkTriangle(5, 5, 5));
    }

    @Test
    public void testIsoscelesTriangle() {
        assertEquals(TriangleChecker.TriangleType.ISOSCELES, TriangleChecker.checkTriangle(5, 5, 3));
    }
}